<?php
function copied()
{
if(isset($_POST['wpcopycontent']))
{
	
	if(is_array($_POST['wpcopycontent']))
	{
	$postneedscpyprevention=implode(',',$_POST['wpcopycontent']);
	update_option('wpanticpy_prevent_indexes',$postneedscpyprevention);
	}
}

$prevented_posts=explode(',',get_option('wpanticpy_prevent_indexes'));	
	
global $wpdb;
$table_name = $wpdb->prefix . 'anticopy';

if(isset($_GET['delete']) && isset($_GET['id'])) {

$id = sanitize_key($_GET['id']);

if (!preg_match("/^[0-9]*$/",$id))
$msg = "error:Only numbers allowed in the ID";
else {
$wpdb->delete( $table_name, array( 'post_id' => $id ) );
$msg = "Updated: Record deleted!";
}
}


$page_no = sanitize_key($_GET['page_no']);

if($page_no>0)
{
	$page1=($page_no*10)-10;
}
else
{
	$page1=0;
	$page_no=1;
}


$rows = $wpdb->get_results("SELECT id,post_id,copied_title,copied_date,sum(no_of_copied) as copy_total FROM $table_name GROUP BY post_id ORDER BY copied_date DESC LIMIT $page1,10");
	
 ?>

  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
  <script src="//code.jquery.com/jquery-1.12.0.min.js"></script>

<script>
jQuery(document).ready(function($){
	$(".wpcpycntntallposts").hide();
	var keepopened=0;
	$(".selectpagepost").click(function(){
		if(!keepopened)
		{
			$(".wpcpycntntallposts").show(200);
			keepopened=1;
		}
		else
		{
			$(".wpcpycntntallposts").hide(200);
			keepopened=0;
		}
	});
});
</script>
 

<br>
<div class="container-fluid">
<div class="row">
<div class="col-sm-3">
<div class="form-group" style="position:relative;">
<button class="form-control selectpagepost">Disable copy functionality</button>
<div class="panel panel-primary wpcpycntntallposts">
<form action="" method="post">
<div class="panel-body">
<p><strong>Select Posts and Pages</strong></p>
<label><input type="checkbox" name='wpcopycontent[]' value='all' <?php if(array_search('all',$prevented_posts)!==false){echo "checked";} ?>> Prevent All</label>
<label><input type="checkbox" name='wpcopycontent[]' value='home' <?php if(array_search('home',$prevented_posts)!==false){echo "checked";} ?>> Home Page</label>
<?php
$all_posts=get_posts(array('numberposts'=>-1));
$all_pages=get_pages();
foreach($all_posts as $post)
{
$isprevented=(array_search($post->ID,$prevented_posts) !==false)? 'checked':'';
	
echo "<label><input type='checkbox' name='wpcopycontent[]' value='".$post->ID."' ".$isprevented.">&nbsp; ".$post->post_title." (Post)</label>";
}
foreach($all_pages as $page)
{
$isprevented=(array_search($page->ID,$prevented_posts)!==false)? 'checked':'';	
echo "<label><input type='checkbox' name='wpcopycontent[]' value='".$page->ID."' ".$is_prevented.">&nbsp; ".$page->post_title." (Page)</label>";
}
?>
</div>
<div class="panel-footer"><button class="btn btn-primary form-control">Save</button></div>
</form>
</div>
</div>
</div>
</div>
<div class="row">
<div class="col-sm-12">
<div class="table-responsive">
<table class="table table-striped">
	<thead class="thead-dark">
		<tr>
			<th>Sr. No</th>
			<th>Content Title</th>
			<th>Date</th>
			<th>Number of times copied</th>
			<th>Action</th>
		</tr>
	</thead>
	<tbody>

<?php
	$i=1;
foreach ($rows as $row ){

$post_id = get_post( $row->post_id ); 
$post_url= $post_id->guid;

?>

		<tr>
			<td><?php echo $i; ?></td>
			<td><a style="text-decoration: none" href="<?php echo $post_url; ?>"> <?php echo $row->copied_title; ?></a></td>
			<td><?php echo $row->copied_date; ?></td>
			<td><?php echo $row->copy_total; ?></td>
			<td>
				<a href="<?php echo admin_url("admin.php?page=wpanticopy_viewCopiedContent&NoCopy=".$row->copy_total."&ptitle=".$row->copied_title."&postid=".$row->post_id); ?>">View</a> |
				<a href="<?php echo admin_url("admin.php?page=wpanticopy_records&delete=1&id=".$row->post_id); ?>"
				onclick="return confirm('Are you sure?')">Delete</a>
			</td>
		</tr>

<?php
$i=$i+1;
}
?>

	</tbody>
</table>
</div>
<br><br><br>
<center>
<ul style="display: inline;">
<?php


$my_query =$wpdb->get_results("SELECT id,count(post_id),copied_title,copied_date,no_of_copied FROM $table_name GROUP BY post_id");

$num_rows = count( $my_query ); 

$page=$num_rows/10;
$page= ceil($page);

if($page_no>1)
{
	$pageno=$page_no-1;
	?>
	<li style="display: inline;">
		<a href="<?php echo admin_url("admin.php?page=wpanticopy_records&page_no=".$pageno); ?>" style="text-decoration: none">
			<label style="background-color: grey;color: white;height: 25px;width: 100px">Previous</label>
		</a>
	</li>
	<?php
}

for($i=1;$i<=$page;$i++){

	?>
	<li style="display: inline;">
		<a href="<?php echo admin_url("admin.php?page=wpanticopy_records&page_no=".$i); ?>" style="text-decoration: none">
			<label style="background-color: grey;color: white;height: 25px;width: 25px"><?php echo $i; ?></label>
		</a>
	</li>
	
	<?php
}

if($page_no<$page)
{
	$pageno=$page_no +1;
	?>
	<li style="display: inline;">
		<a href="<?php echo admin_url("admin.php?page=wpanticopy_records&page_no=".$pageno); ?>" style="text-decoration: none">
			<label style="background-color: grey;color: white;height: 25px;width: 100px">Next</label>
		</a>
	</li>
	<?php
}

?>

</ul>
</center>

</div></div></div>
<style>
.wpcpycntntallposts
{
	position:absolutel
	background-color:white !important;
	position:absolute;
	width:100%;
	z-index:9999;
	-webkit-box-shadow: 2px 4px 9px 0px rgba(0,0,0,0.75);
-moz-box-shadow: 2px 4px 9px 0px rgba(0,0,0,0.75);
box-shadow: 2px 4px 9px 0px rgba(0,0,0,0.75);
}
.wpcpycntntallposts .panel-body
{
	background-color:white;
	max-height:250px;overflow-y:auto;
	padding:5px;
}
.wpcpycntntallposts .panel-body label
{
	display:block;
	padding-bottom:10px !important;
	font-size:14px;
}
</style>

<?php
}
?>