<?php
/*
PLUGIN NAME:WP Anti-Copy
Plugin URI: http://www.teknikforce.com
Description: This Plugin is use to monitor copied content theft.
AUTHOR:TEKNIKFORCE
AUTHOR URI:http://www.teknikforce.com
VERSION:1.0
*/


$cmntmkrpref='wpanticopy_';
require 'plugin-update-checker/plugin-update-checker.php';
$myUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
  'https://teknikforce.com/appcasts/wpplugins/wp_anticopy_bonus.json',
  __FILE__, //Full path to the main plugin file or functions.php.
  'wp_anticopy_bonus'
);

function wccAddDiv($content)
{
  $id=get_the_id();
  $posts=explode(',',get_option('wpanticpy_prevent_indexes'));
  $is_existspost=array_search($id,$posts);
  $inlinepreventer=($is_existspost !==false)? ";wpcopyContentPrevention(event)":"";
  return "<div contentid='".$id."' oncopy='wpanticopySendCopiedData(this)".$inlinepreventer."' id='Copied_iD'>".$content."</div>";
}

add_filter('the_content','wccAddDiv');


require_once("copy-sequence/plugin.php");

    $gdprwpvar=new \wpanticopy\license\wpgdprpluginlisence(array('wpanticopy','wpanticopy_'));
    if($gdprwpvar->validate()==1)
    {
    add_action('admin_menu','copy_content'); 
    }
    else
    {
    new \wpanticopy\license\gdpractivationpage(array('wpanticopy','wpanticopy_'));
    }



function copy_content() {
	require_once('copyContent.php');
	require_once('viewCopiedContent.php');
  add_menu_page('WP Anti-Copy', 
    'WP Anti-Copy', 
    'administrator', 
    'wpanticopy_records', 
    'copied' 
    );
  add_submenu_page('copied',
    '', 
    '', 
    'manage_options', 
    'wpanticopy_viewCopiedContent', 
    'viewCopiedContent' 
    );
}



function wpb_adding_scripts() {
 
  wp_register_script('myFunction', plugins_url('copyscript.js', __FILE__), array('jquery'),'1.1', true);   
  wp_enqueue_script('myFunction');
}
    
add_action( 'wp_enqueue_scripts', 'wpb_adding_scripts' );



add_action('wp_footer','cpycntntFooterScript');

function cpycntntFooterScript()
{
  $ajax_callback=plugins_url('insert.php',__FILE__);
  echo "<input type='hidden' id='cpycntntajxurl' value='".$ajax_callback."'>";
}



register_activation_hook(__FILE__,  'anticopy_activate');
register_deactivation_hook( __FILE__, 'anticopy_remove_database' );

function anticopy_activate() {
  global $wpdb;
  $table = $wpdb->prefix . 'anticopy';
  $charset = $wpdb->get_charset_collate();
    $charset_collate = $wpdb->get_charset_collate();
    
    $sql = "CREATE TABLE IF NOT EXISTS $table (
        id int(15) NOT NULL AUTO_INCREMENT,
        post_id bigint(20) NOT NULL,
        copied_title varchar(225)  NOT NULL,
        copied_content longtext NOT NULL,
        no_of_copied int(15) NOT NULL,
        copied_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
        copied_ip varchar(225) NOT NULL,
        PRIMARY KEY  (id)
        ) $charset_collate;";

    $wpdb->query($sql);
    
	add_option('wpanticpy_prevent_indexes','');
}   

function anticopy_remove_database() {
     /*global $wpdb;
     $table_name = $wpdb->prefix . 'anticopy';
     $sql = "DROP TABLE IF EXISTS $table_name";
     $wpdb->query($sql);*/
} 

add_action('wp_footer','cpspecificpageprevent');
function cpspecificpageprevent()
{
	$posts=explode(',',get_option('wpanticpy_prevent_indexes'));
	$is_existsall=array_search("all",$posts);
	$content="<script>document.body.oncopy=function(e){e.preventDefault();};</script>";
	if($is_existsall !==false)
	{
		echo $content;
	}
	if((is_home() || is_front_page())&&(array_search('home',$posts) !==false))
	{
			echo $content;
	}
	elseif((array_search(get_the_id(),$posts)!==false)&& !(is_home() || is_front_page()))
	{
			echo $content;
	}
}

?>
